package WWW::MobileCarrierJP::EMOBILE::CIDR;
use strict;
use warnings;
use Web::Scraper;
use URI;

my $url = 'http://emobile.jp/tech/ipaddress.html';

sub scrape {
    scraper {
        process '//div[@id="main"]/div[@id="contents"]/div[@align="center"]/table/tr/td[@bgcolor!="#BFBFBF"]/div',
                'cidr[]', [
                    'TEXT', sub {
                        m{^([0-9.]+)(/[0-9]+)};
                        +{ ip => $1, subnetmask => $2 };
                    }
                ];
    }->scrape(URI->new($url))->{cidr};
}

1;
__END__

=head1 NAME

WWW::MobileCarrierJP::EMOBILE::CIDR - get CIDR informtation from EMOBILE site.

=head1 SYNOPSIS

    use WWW::MobileCarrierJP::EMOBILE::CIDR;
    WWW::MobileCarrierJP::EMOBILE::CIDR->scrape();

=head1 AUTHOR

ToI企画 < office toi-planning net >

=head1 SEE ALSO

L<WWW::MobileCarrierJP>

